> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fluxend.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Creates container

> Add a new container to a project



## OpenAPI

````yaml openapi.json post /containers
openapi: 3.0.0
info:
  description: >-
    Fluxend is backend as-a-service platform that allows you to build, deploy,
    and scale applications without managing infrastructure.
  title: Fluxend API
  contact:
    name: API Support
    url: http://github.com/fluxend/fluxend
    email: hello@fluxend.app
  version: '1.0'
servers:
  - url: https://api.fluxend.app
security: []
paths:
  /containers:
    post:
      tags:
        - Containers
      summary: Creates container
      description: Add a new container to a project
      parameters:
        - description: Bearer Token
          name: Authorization
          in: header
          required: true
          schema:
            type: string
        - description: Project UUID
          name: X-Project
          in: header
          required: true
          schema:
            type: string
      requestBody:
        $ref: '#/components/requestBodies/container.CreateRequest'
      responses:
        '201':
          description: Container created
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/response.Response'
                  - type: object
                    properties:
                      content:
                        $ref: '#/components/schemas/container.Response'
        '400':
          description: Bad request response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/response.BadRequestErrorResponse'
        '401':
          description: Unauthorized response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/response.UnauthorizedErrorResponse'
        '422':
          description: Invalid input response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/response.UnprocessableErrorResponse'
        '500':
          description: Internal server error response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/response.InternalServerErrorResponse'
components:
  requestBodies:
    container.CreateRequest:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/container.CreateRequest'
      description: Container details
      required: true
  schemas:
    response.Response:
      type: object
      properties:
        content: {}
        errors:
          type: array
          items:
            type: string
        metadata: {}
        success:
          type: boolean
    container.Response:
      type: object
      properties:
        createdAt:
          type: string
        createdBy:
          type: string
        description:
          type: string
        isPublic:
          type: boolean
        maxFileSize:
          type: integer
        name:
          type: string
        projectUuid:
          type: string
        totalFiles:
          type: integer
        updatedAt:
          type: string
        updatedBy:
          type: string
        url:
          type: string
        uuid:
          type: string
    response.BadRequestErrorResponse:
      type: object
      properties:
        content:
          type: string
          example: 'null'
        errors:
          type: array
          items:
            type: string
          example:
            - Invalid input parameter
        success:
          type: boolean
          example: false
    response.UnauthorizedErrorResponse:
      type: object
      properties:
        content:
          type: string
          example: 'null'
        errors:
          type: array
          items:
            type: string
          example:
            - Unauthorized access
        success:
          type: boolean
          example: false
    response.UnprocessableErrorResponse:
      type: object
      properties:
        content:
          type: string
          example: 'null'
        errors:
          type: array
          items:
            type: string
          example:
            - Validation failed
        success:
          type: boolean
          example: false
    response.InternalServerErrorResponse:
      type: object
      properties:
        content:
          type: string
          example: 'null'
        errors:
          type: array
          items:
            type: string
          example:
            - Internal server error
        success:
          type: boolean
          example: false
    container.CreateRequest:
      type: object
      properties:
        description:
          type: string
        is_public:
          type: boolean
        max_file_size:
          type: integer
        name:
          type: string
        projectUUID:
          type: string

````